Subject: Re: How much SWI and sictus are compatible ?

From: Jan Wielemaker <[email-masked]>
Date: Wed, 25 Apr 2001 17:06:26 +0200

On Wed, 25 Apr 2001, Djame Seddah wrote:

>I'm a heavy user of swi (i'm working in nlp for my phD in the french AI
>labo named Loria -Inria Lorraine-) and I would like to know the
>compatibilities degree between Swi prolog and Sictus prolog, because I
>have to evaluate a packaged, Hdrug
>(http://odur.let.rug.nl/~vannoord/Hdrug/) which is made under sictus and
>which seems to use all of the specificities of Sictus.
>So I was not able to find such a answer in the FAQ neither in the ngs
>archives and I'll be glade if you could give me an answer or a set of
>compatibilities predicats....

They share ISO and a good deal of things coming from the Edinburgh
and Quintus `standards'.  Both have extensions, some of which can
easily be mapped, others are next to impossible. Contact Gertjan van
Noord.  As he is both a SWI-Prolog and SICStus user he might be able
and willing to explain the issues around Hdrug.

	Cheers --- Jan